Bug 195699 - Deadlock in test
Deadlock in test
Status: RESOLVED FIXED
Product: ide
Classification: Unclassified
Component: Features On Demand
7.0
PC Linux
: P3 (vote)
: 7.0
Assigned To: Jaroslav Tulach
issues@performance
: TEST, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-19 16:10 UTC by Jesse Glick
Modified: 2011-02-28 05:18 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Deadlock (27.39 KB, text/plain)
2011-02-19 16:10 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jesse Glick 2011-02-19 16:10:34 UTC
Created attachment 106187 [details]
Deadlock

One of the ergonomics unit tests hung again; unkillable except by SIGKILL due to deadlock in shutdown hook. Assigning here provisionally since I seem to recall the hangs are always in the ergonomics job; I remember you trying to do something about it before but I guess it didn't work. (I don't have info on which build the hung test process came from; just found it via jps -lm on builder.)

I think the right fix is to ensure that FileChangedManager.checkRead never call Logger.log synchronously. It could post events into a ConcurrentLinkedQueue for consumption by another thread, perhaps.
Comment 1 Jaroslav Tulach 2011-02-26 18:01:44 UTC
I will try to make sure the logger is initialized sooner first: ergonomics#f17baedd0f5d
Comment 2 Quality Engineering 2011-02-28 05:18:20 UTC
Integrated into 'main-golden', will be available in build *201102280001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/f17baedd0f5d
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #195699: Making sure the logger is initialized sooner than FileChangedManager intercepts any security checks


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo